[Gfoss] Installare postgis sotto Ubuntu Server

Andrea Peri 2007 aperi2007 a gmail.com
Mer 17 Mar 2010 18:05:18 CET


>bene...allora visto che dovrei aggiornare una macchina dove ho
>postgresql 8.2, se faccio apt-get install postgresql-server-8.4
>postgis quante possibilitÓ ho di non perdere i dati e ritrovarmi i
>miei vecchi db?

Certezze nessuna.

I primi due digit rappresentano la "maior version", il terzo la "minor version".

Nella migrazione tra maior version occorre farsi un pg_dump di tutto e ricaricarlo nella nuova versione.
Questo meccanismo pero' e' sixuro solo quando il passaggio di maior e' da x a x+1.

In casi come il tuo x -> x+2, per avere la sicurezza dovresti fare
prima un passaggio da
8.2 a 8.3 (con pg_dump) e poi da 8.3 a 8.4 (sempre con pg_dump).

puoi provare a fare il salto , ma non e' garantito il successo.

In generale, in postgres non conviene rimanere troppo indietro, perche' altrimenti poi 
si deve risalire la sequenza delle versioni ....

Andrea.





Maggiori informazioni sulla lista Gfoss